using System;
using TheGameExtreme.model.card.cardType;

namespace TheGameExtreme.model.piles
{
    public class PilesMoins5To5 : Piles
    {

        public PilesMoins5To5(int nbPile) : base(nbPile)
        {
            for (int i = 0; i < nbPile; i++)
            {
                if (i < (nbPile * 0.5))
                {
                    ListOrderedStacks[i].Push(new ClassicCard(-5m));
                }
                else
                {
                    ListOrderedStacks[i].Push(new ClassicCard(5m));
                }
            }
        }
    }
}
